Page 2 of 6 FirstFirst 1234 ... LastLast
Results 11 to 20 of 53

Thread: MIDI Software Synthesis

  1. #11
    Join Date
    Apr 2005
    Location
    UK
    Beans
    92

    Re: MIDI Software Synthesis

    Quote Originally Posted by Snargle
    I'm achieving terrible performance with timidity.

    Even after disabling all the settings in the cfg file, timidity still uses most of my cpu.(Ath XP 1800.) Why is this? I remember running a midi sequencer under a 486.
    Weird. I had it running fine on my old AMD K6-2 450, so your hardware certainly should be up to it.

  2. #12
    Join Date
    Apr 2005
    Location
    Bogotá, Colombia
    Beans
    47

    Re: MIDI Software Synthesis

    You could try some different midi files. Other than that, I've no idea I'm afraid. Perhaps someone else can help?
    Hey, this is the second time I try to get MIDI on Ubuntu to work. I still don't hear anything. But, I found that timidity does play the files but throughout the wrong sound card. I have two soundcards. Timidity is playing the files through the hw:0,0 (first sound card), and the soundcard I have the speakers plugged into is hw;1,0 (second sound card). Everything is set up to go through the second card (Preferences -> Sound->2nd sound card). It seems that Timidity is configured by default to sound through the first sound card. How can I make Timidity to play the files through the second sound card?
    Thanks.

  3. #13
    Join Date
    Apr 2005
    Location
    Bogotá, Colombia
    Beans
    47

    Re: MIDI Software Synthesis

    Hey, this is the second time I try to get MIDI on Ubuntu to work. I still don't hear anything. But, I found that timidity does play the files but throughout the wrong sound card. I have two soundcards. Timidity is playing the files through the hw:0,0 (first sound card), and the soundcard I have the speakers plugged into is hw;1,0 (second sound card). Everything is set up to go through the second card (Preferences -> Sound->2nd sound card). It seems that Timidity is configured by default to sound through the first sound card. How can I make Timidity to play the files through the second sound card?
    Thanks.
    Any ideas? Please, I'm really urged to make the MIDI work (that's the only thing that's preventing me from totally switching to linux)

  4. #14
    Join Date
    Dec 2004
    Beans
    10

    Re: MIDI Software Synthesis

    Quote Originally Posted by fishfork
    Ask questions here, and the answers will be gradually incorporated into the Wiki page.
    I have questions abvout three errors I get while using timidity with dosbox. I did not install any soundfonts.

    After installing timidity as described in the HOWTO, sound began to work in dosbox when run from the terminal. I do still get the following errors, however:
    Code:
    ALSA:Can't subscribe to MIDI port (65:0)
    MIDI:Opened device:oss
    1. What does the first error mean and how do I correct it?
    2. Why is dosbox using OSS instead of ALSA? Is there a way to correct this? Does it matter?

    Also, sound doesn't work when running dosbox from an application launcher. I get the following errors:
    Code:
    MIXER:Can't open audio: No available audio device , running in nosound mode.
    ALSA:Can't subscribe to MIDI port (65:0)
    MIDI:Opened device:oss
    3. Why do I have to run from the terminal to get sound to work? Is it a permissions issue? How do I fix this?

    Any help would be greatly appreciated.

  5. #15
    Join Date
    Nov 2004
    Location
    Portugal
    Beans
    362

    Re: MIDI Software Synthesis

    Quote Originally Posted by zoarre
    I have questions abvout three errors I get while using timidity with dosbox. I did not install any soundfonts.

    After installing timidity as described in the HOWTO, sound began to work in dosbox when run from the terminal. I do still get the following errors, however:
    Code:
    ALSA:Can't subscribe to MIDI port (65:0)
    MIDI:Opened device:oss
    1. What does the first error mean and how do I correct it?
    2. Why is dosbox using OSS instead of ALSA? Is there a way to correct this? Does it matter?

    Also, sound doesn't work when running dosbox from an application launcher. I get the following errors:
    Code:
    MIXER:Can't open audio: No available audio device , running in nosound mode.
    ALSA:Can't subscribe to MIDI port (65:0)
    MIDI:Opened device:oss
    3. Why do I have to run from the terminal to get sound to work? Is it a permissions issue? How do I fix this?

    Any help would be greatly appreciated.
    Hi, you'll have to use a customized dosbox.conf file. First, copy /usr/share/doc/dosbox/dosbox.conf.example.gz into your home directory. Gunzip it:
    Code:
    gunzip dosbox.conf.example.gz
    , and edit it, go to the [midi] section, and add 128:0 next to config= . So it looks like this:
    Code:
    mpu401=true
    intelligent=true
    device=default
    config=128:0
    Now this will be your default dosbox.conf file. I advise you to have a dosbox.conf file inside each game directory, specifically tuned to it. Then, in the game's launcher, make the command be something like this:
    Code:
    /usr/bin/dosbox -conf "/home/ines/jogos/Heart of China/dosbox.conf" "/home/ines/jogos/Heart of China/HOC.EXE"
    You also said "I did not install any soundfonts" . But you must install at least one.
    Code:
    sudo apt-get install freepats
    P.S.-I haven't tested this yet with a midi game in dosbox, but now it won't give you errors.
    P.S.S.-Hope these instructions aren't too confusing...
    Last edited by jobezone; January 14th, 2006 at 08:39 PM.
    Are you into the White-Plastic Life-Style?

  6. #16
    Join Date
    Jan 2006
    Beans
    1

    Re: MIDI Software Synthesis

    I've just installed timidity and it works but the startup script that came with it refuses to work but I am able to start it up like this.

    timidity -iA -B2,8 -Os1l -s 44100 &

    is anyone else having this problem.

    #!/bin/sh
    #
    # TiMidity /etc/init.d/ initscript for TiMidity++
    # $Id: timidity.init,v 1.6 2004/09/30 01:04:04 hmh Exp $
    #
    # Copyright (c) 2004 by Henrique M. Holschuh <hmh@debian.org>
    # Distributed under the GPL version 2
    #

    PATH=/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/bin/timidity
    DESC="TiMidity++ ALSA midi emulation"
    PMIDI=/usr/bin/pmidi
    PIDFILE=/var/run/timidity.pid

    set -e

    test -x ${DAEMON} || exit 0
    test -x ${PMIDI} && pmidi_enabled="true" || pmidi_enabled="false";

    . /lib/lsb/init-functions

    TIM_ALSASEQ=true
    TIM_ALSASEQPARAMS="-iA -B2,8 -Os1l -s 44100"
    [ -r /etc/default/timidity ] && . /etc/default/timidity
    [ "${TIM_ALSASEQ}" != "true" ] && exit 0
    PARAMS="${TIM_ALSASEQPARAMS} -iAD"

    START="--start --quiet --exec ${DAEMON} --pidfile ${PIDFILE} -- ${PARAMS}"

    case "$1" in
    start)
    [ -d /proc/asound ] || {
    log_warning_msg "ALSA is not active, cannot start $DESC"
    exit 0
    }
    log_begin_msg "Starting $DESC..."
    if start-stop-daemon ${START} >/dev/null; then
    log_end_msg 0
    #if [ $pmidi_enabled = "true" ] ; then
    # sleep 1
    # echo -n "Emulating midi on ports: ";
    # pmidi -l | grep "TiMidity" | cut -f 1 -d ' ' | xargs
    #fi
    else
    log_end_msg 1
    exit 1
    #if start-stop-daemon --test ${START} >/dev/null 2>&1; then
    # echo "(failed)."
    # exit 1
    #else
    # echo "already running."
    # exit 0
    #fi
    fi
    ;;
    stop)
    log_begin_msg "Stopping $DESC..."
    if start-stop-daemon --stop --quiet --pidfile ${PIDFILE} \
    --exec ${DAEMON} --retry 10 ; then
    log_end_msg 0
    else
    log_end_msg 1
    exit 1
    fi
    ;;
    restart|force-reload)
    $0 stop
    exec $0 start
    ;;
    *)
    echo "Usage: $0 {start|stop|restart|force-reload}" >&2
    exit 1
    esac

    exit 0

  7. #17
    Join Date
    Dec 2005
    Beans
    37

    Re: MIDI Software Synthesis

    Quote Originally Posted by jobezone
    Hi, you'll have to use a customized dosbox.conf file. First, copy /usr/share/doc/dosbox/dosbox.conf.example.gz into your home directory. Gunzip it:
    Code:
    gunzip dosbox.conf.example.gz
    , and edit it, go to the [midi] section, and add 128:0 next to config= . So it looks like this:
    Code:
    mpu401=true
    intelligent=true
    device=default
    config=128:0
    Now this will be your default dosbox.conf file. I advise you to have a dosbox.conf file inside each game directory, specifically tuned to it. Then, in the game's launcher, make the command be something like this:
    Code:
    /usr/bin/dosbox -conf "/home/ines/jogos/Heart of China/dosbox.conf" "/home/ines/jogos/Heart of China/HOC.EXE"
    You also said "I did not install any soundfonts" . But you must install at least one.
    Code:
    sudo apt-get install freepats
    P.S.-I haven't tested this yet with a midi game in dosbox, but now it won't give you errors.
    P.S.S.-Hope these instructions aren't too confusing...

    Bit of a bump here, but this is a great bit of advice - I was constantly getting the 65 error, but editting the dosbox.config to 128 worked a treat!

  8. #18
    Join Date
    Jun 2006
    Beans
    24

    Re: MIDI Software Synthesis

    Hey guys,

    I followed the instructions and I can play MIDI files using solely Timidity. However, what I need is playing MIDI files within programs such as TuxGuitar (Java-based) or KGuitar. Both won't work properly if they can't play MIDI files.

    Do you have any suggestions on how to fix this?
    Last edited by Ariod; June 14th, 2006 at 01:18 PM.

  9. #19
    Join Date
    May 2006
    Beans
    1

    Re: MIDI Software Synthesis

    Quote Originally Posted by boow
    I've just installed timidity and it works but the startup script that came with it refuses to work but I am able to start it up like this.

    timidity -iA -B2,8 -Os1l -s 44100 &

    is anyone else having this problem.

    I have the same problem with my system. It seems that the snd-seq-* -modules aren't automatically loaded at the startup.

  10. #20
    Join Date
    Nov 2006
    Beans
    Hidden!

    Re: MIDI Software Synthesis

    I ran through the HowTo, but I did achieve the desired result. I did not install the timidity-patches-eaw package, and I do not think I need to: playing a midi file with timidity on the command line (i.e. `timidity mymid.mid') works. I modprobe'd all the modules listed (snd-seq-device, snd-seq-midi, snd-seq-oss, snd-seq-midi-event, and snd-seq) and then ran `timidity -iA -B2,8 -Os1l -s 44100'. I got the following message:
    Code:
    Requested buffer size 2048, fragment size 1024
    ALSA pcm 'default' set buffer size 7524, period size 3760 bytes
    TiMidity starting in ALSA server mode
    Opening sequencer port: 128:0 128:1 128:2 128:3
    Looks good. I have a look at `pmidi -l':
    Code:
     Port     Client name                       Port name
     14:0     Midi Through                      Midi Through Port-0
    128:0     TiMidity                          TiMidity port 0
    128:1     TiMidity                          TiMidity port 1
    128:2     TiMidity                          TiMidity port 2
    128:3     TiMidity                          TiMidity port 3
    Cool. So then I try to play a midi with pmidi `aplaymidi --port 128:0 mymid.mid' and I hear nothing. No output in the pmidi terminal window, and in the timidity terminal I see:
    Code:
    Requested buffer size 2048, fragment size 1024
    ALSA pcm 'default' set buffer size 7524, period size 3760 bytes
    Looks normal to me, but I hear nothing. Again, playing the file directly with timidity as `timidity mymid.mid' works.
    I was speaking with someone on the #ubuntu chan on freenode and he recommended that I look at `strace -fF aplaymidi --port 128:0 mymid', the output of which I have pastebin'd at http://pastebin.com/826804. (Note the "<unfinished ...>" bit at the bottom--I had to ctrl+c it, because nothing was happening). I am not sure how a midi session is supposed to work, so I can really only look for explicit error messages in the strace output. I see "No such file or directory" for the files "ld.so.nohwcap' and "/etc/asound.conf". The asound.conf file sounds perhaps like its a bit more generic that just dealing with midi playback, yet audio seems to work fine overall on my system. I did not get anywhere with googling 'ld.so.nohwcap'.

    P.S. I am running Edgy on a Thinkpad T60, audio chipset AD1981HD with Intel HDA interface.

Page 2 of 6 FirstFirst 1234 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •